---
agentTools:
  projectIndex: https://urano.readme.io/llms.txt
---

# Consulta Cliente

Retorna a ficha completa do cliente identificado por id, desde que pertença a um escritório acessível pelo token.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "URANO API V2",
    "version": "2.0"
  },
  "servers": [
    {
      "url": "https://urano.pro/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header",
        "x-bearer-format": "bearer",
        "x-default": ""
      },
      "sec1": {
        "type": "apiKey",
        "name": "X-email",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/cliente/{id}": {
      "get": {
        "summary": "Consulta Cliente",
        "description": "Retorna a ficha completa do cliente identificado por id, desde que pertença a um escritório acessível pelo token.",
        "operationId": "consulta-cliente",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "ID do cliente que será consultado. Disponível ao criar um cliente.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "Authorization: Bearer <seu_token>",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-email: <email_do_usuário>",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"_id\": \"665f1a2b3c4d5e6f7a8b9c0d\",\n  \"cpf\": \"12345678900\",\n  \"cnpj\": \"\",\n  \"telefone\": \"11987654321\",\n  \"whatsapp\": \"11987654321\",\n  \"email\": \"cliente@exemplo.com\",\n  \"escritorio_id\": 10,\n  \"base_id\": 1,\n  \"base_tipo\": 23,\n  \"estado\": 1,\n  \"cliente_identificador\": \"cliente_cpf\",\n  \"lead_origem\": 4,\n  \"ultima_alteracao_estado_ficha_data\": \"20/07/2026 10:30:00\",\n  \"created_by\": 89,\n  \"updated_by\": 89,\n  \"dados_cliente\": {\n    \"nome\": \"Fulano de Tal\",\n    \"cpf\": \"12345678900\",\n    \"cnpj\": \"\",\n    \"motivo\": \"\",\n    \"especie\": \"41\",\n    \"profissao\": \"Aposentado\",\n    \"nacionalidade\": \"Brasileira\",\n    \"estado_civil\": \"Casado\",\n    \"data_nascimento\": \"01/08/1960\",\n    \"nome_mae\": \"Beltrana de Tal\",\n    \"nome_pai\": \"\",\n    \"cep\": \"01100000\",\n    \"bairro\": \"Centro\",\n    \"logradouro\": \"Rua Exemplo\",\n    \"logradouro_numero\": \"745\",\n    \"logradouro_complemento\": \"Apto 12\",\n    \"logradouro_cidade\": \"São Paulo\",\n    \"uf\": \"SP\",\n    \"naturalidade_cidade\": \"São Paulo\",\n    \"naturalidade_uf\": \"SP\",\n    \"n_identidade\": \"123456789\",\n    \"tipo_documento_identificacao\": \"RG\",\n    \"org_emissor\": \"SSP\",\n    \"emissor_uf\": \"SP\",\n    \"data_emissao\": \"10/05/2005\",\n    \"sexo\": \"M\",\n    \"telefone\": \"11987654321\",\n    \"whatsapp\": \"11987654321\",\n    \"email\": \"cliente@exemplo.com\",\n    \"nome_conjuge\": \"Sicrana de Tal\",\n    \"cpf_conjuge\": \"98765432100\",\n    \"email_conjuge\": \"\",\n    \"data_nascimento_conjuge\": \"15/03/1962\",\n    \"telefone_conjuge\": \"11912345678\",\n    \"beneficio_numero\": \"1234567890\",\n    \"beneficio_recurso_inicial\": \"1500,00\",\n    \"beneficio_inicio_data\": \"01/01/2020\",\n    \"beneficio_cessacao_data\": \"\",\n    \"representante_nome\": \"\",\n    \"representante_cpf\": \"\",\n    \"cliente_banco_id\": \"001\",\n    \"cliente_banco_agencia\": \"1234\",\n    \"cliente_banco_conta\": \"56789\",\n    \"cliente_banco_conta_digito\": \"0\",\n    \"cliente_banco_tipo_conta\": \"corrente\",\n    \"cliente_banco_nome_conta\": \"Fulano de Tal\",\n    \"cliente_banco_pix\": \"cliente@exemplo.com\",\n    \"cliente_oab_uf\": \"\",\n    \"cliente_curinga_texto\": \"\",\n    \"cliente_curinga_numero\": \"\",\n    \"cliente_curinga_textarea\": \"\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "_id": {
                      "type": "string",
                      "example": "665f1a2b3c4d5e6f7a8b9c0d"
                    },
                    "cpf": {
                      "type": "string",
                      "example": "12345678900"
                    },
                    "cnpj": {
                      "type": "string",
                      "example": ""
                    },
                    "telefone": {
                      "type": "string",
                      "example": "11987654321"
                    },
                    "whatsapp": {
                      "type": "string",
                      "example": "11987654321"
                    },
                    "email": {
                      "type": "string",
                      "example": "cliente@exemplo.com"
                    },
                    "escritorio_id": {
                      "type": "integer",
                      "example": 10,
                      "default": 0
                    },
                    "base_id": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "base_tipo": {
                      "type": "integer",
                      "example": 23,
                      "default": 0
                    },
                    "estado": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "cliente_identificador": {
                      "type": "string",
                      "example": "cliente_cpf"
                    },
                    "lead_origem": {
                      "type": "integer",
                      "example": 4,
                      "default": 0
                    },
                    "ultima_alteracao_estado_ficha_data": {
                      "type": "string",
                      "example": "20/07/2026 10:30:00"
                    },
                    "created_by": {
                      "type": "integer",
                      "example": 89,
                      "default": 0
                    },
                    "updated_by": {
                      "type": "integer",
                      "example": 89,
                      "default": 0
                    },
                    "dados_cliente": {
                      "type": "object",
                      "properties": {
                        "nome": {
                          "type": "string",
                          "example": "Fulano de Tal"
                        },
                        "cpf": {
                          "type": "string",
                          "example": "12345678900"
                        },
                        "cnpj": {
                          "type": "string",
                          "example": ""
                        },
                        "motivo": {
                          "type": "string",
                          "example": ""
                        },
                        "especie": {
                          "type": "string",
                          "example": "41"
                        },
                        "profissao": {
                          "type": "string",
                          "example": "Aposentado"
                        },
                        "nacionalidade": {
                          "type": "string",
                          "example": "Brasileira"
                        },
                        "estado_civil": {
                          "type": "string",
                          "example": "Casado"
                        },
                        "data_nascimento": {
                          "type": "string",
                          "example": "01/08/1960"
                        },
                        "nome_mae": {
                          "type": "string",
                          "example": "Beltrana de Tal"
                        },
                        "nome_pai": {
                          "type": "string",
                          "example": ""
                        },
                        "cep": {
                          "type": "string",
                          "example": "01100000"
                        },
                        "bairro": {
                          "type": "string",
                          "example": "Centro"
                        },
                        "logradouro": {
                          "type": "string",
                          "example": "Rua Exemplo"
                        },
                        "logradouro_numero": {
                          "type": "string",
                          "example": "745"
                        },
                        "logradouro_complemento": {
                          "type": "string",
                          "example": "Apto 12"
                        },
                        "logradouro_cidade": {
                          "type": "string",
                          "example": "São Paulo"
                        },
                        "uf": {
                          "type": "string",
                          "example": "SP"
                        },
                        "naturalidade_cidade": {
                          "type": "string",
                          "example": "São Paulo"
                        },
                        "naturalidade_uf": {
                          "type": "string",
                          "example": "SP"
                        },
                        "n_identidade": {
                          "type": "string",
                          "example": "123456789"
                        },
                        "tipo_documento_identificacao": {
                          "type": "string",
                          "example": "RG"
                        },
                        "org_emissor": {
                          "type": "string",
                          "example": "SSP"
                        },
                        "emissor_uf": {
                          "type": "string",
                          "example": "SP"
                        },
                        "data_emissao": {
                          "type": "string",
                          "example": "10/05/2005"
                        },
                        "sexo": {
                          "type": "string",
                          "example": "M"
                        },
                        "telefone": {
                          "type": "string",
                          "example": "11987654321"
                        },
                        "whatsapp": {
                          "type": "string",
                          "example": "11987654321"
                        },
                        "email": {
                          "type": "string",
                          "example": "cliente@exemplo.com"
                        },
                        "nome_conjuge": {
                          "type": "string",
                          "example": "Sicrana de Tal"
                        },
                        "cpf_conjuge": {
                          "type": "string",
                          "example": "98765432100"
                        },
                        "email_conjuge": {
                          "type": "string",
                          "example": ""
                        },
                        "data_nascimento_conjuge": {
                          "type": "string",
                          "example": "15/03/1962"
                        },
                        "telefone_conjuge": {
                          "type": "string",
                          "example": "11912345678"
                        },
                        "beneficio_numero": {
                          "type": "string",
                          "example": "1234567890"
                        },
                        "beneficio_recurso_inicial": {
                          "type": "string",
                          "example": "1500,00"
                        },
                        "beneficio_inicio_data": {
                          "type": "string",
                          "example": "01/01/2020"
                        },
                        "beneficio_cessacao_data": {
                          "type": "string",
                          "example": ""
                        },
                        "representante_nome": {
                          "type": "string",
                          "example": ""
                        },
                        "representante_cpf": {
                          "type": "string",
                          "example": ""
                        },
                        "cliente_banco_id": {
                          "type": "string",
                          "example": "001"
                        },
                        "cliente_banco_agencia": {
                          "type": "string",
                          "example": "1234"
                        },
                        "cliente_banco_conta": {
                          "type": "string",
                          "example": "56789"
                        },
                        "cliente_banco_conta_digito": {
                          "type": "string",
                          "example": "0"
                        },
                        "cliente_banco_tipo_conta": {
                          "type": "string",
                          "example": "corrente"
                        },
                        "cliente_banco_nome_conta": {
                          "type": "string",
                          "example": "Fulano de Tal"
                        },
                        "cliente_banco_pix": {
                          "type": "string",
                          "example": "cliente@exemplo.com"
                        },
                        "cliente_oab_uf": {
                          "type": "string",
                          "example": ""
                        },
                        "cliente_curinga_texto": {
                          "type": "string",
                          "example": ""
                        },
                        "cliente_curinga_numero": {
                          "type": "string",
                          "example": ""
                        },
                        "cliente_curinga_textarea": {
                          "type": "string",
                          "example": ""
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{ \"message\": \"Acesso não autorizado\" }"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Acesso não autorizado"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{ \"message\": \"Cliente não encontrado\", \"status\": 404 }"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Cliente não encontrado"
                    },
                    "status": {
                      "type": "integer",
                      "example": 404,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "429",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{ \"message\": \"Too Many Requests\" }"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Too Many Requests"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "68f92e5bc52a2dfeb0f0fed4:68f93140b905012b4411f0a6"
}
```